activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Timothy Bish (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AMQ-4520) Allow the bouncy castle security provider to be used if present in the lib dir.
Date Tue, 07 May 2013 22:09:17 GMT

     [ https://issues.apache.org/jira/browse/AMQ-4520?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Timothy Bish resolved AMQ-4520.
-------------------------------

    Resolution: Fixed

fixed on trunk
                
> Allow the bouncy castle security provider to be used if present in the lib dir.
> -------------------------------------------------------------------------------
>
>                 Key: AMQ-4520
>                 URL: https://issues.apache.org/jira/browse/AMQ-4520
>             Project: ActiveMQ
>          Issue Type: Improvement
>          Components: Broker
>    Affects Versions: 5.8.0
>            Reporter: Timothy Bish
>            Assignee: Timothy Bish
>            Priority: Minor
>             Fix For: 5.9.0
>
>
> On Java 7, we sometimes see errors when using SSL. For instance:
> 2013-04-23 09:02:36,864 [ActiveMQ Transport: ssl:///xx.xx.xx.xx:51341] WARN Transport
- Transport Connection to: tcp://xx.xx.xx.xx:51341 failed: javax.net.ssl.SSLHandshakeException:
Invalid Padding length: 226
> This is a known problem which has been fixed in Apollo, see https://issues.apache.org/jira/browse/APLO-287.
> We should provide a similar fix for ActiveMQ 5.9

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message